package com.shxy.xymanager_common.model;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 设备信息列表
 */
@Data
@ApiModel(value = "获取设备状态信息", description = "获取设备状态信息")
public class TerminalModel implements Serializable {

    @ApiModelProperty(value = "装置编号", example = "123456")
    private Integer termId;

    @ApiModelProperty(value = "电池电量", example = "123456")
    private Integer batteryCapacity;

    @ApiModelProperty(value = "电池电压", example = "123456")
    private Integer batteryVoltage;

    @ApiModelProperty(value = "本次连续工作时间（小时）", example = "12345678")
    private Integer workingTime;

    @ApiModelProperty(value = "浮充状态：充电  放电", example = "12345678")
    private Integer floatingCharge;

    @ApiModelProperty(value = "工作总时间（小时）", example = "名称名称")
    private Integer totalWorkingTime;

    @ApiModelProperty(value = "网络连接状态 ", example = "名称名称")
    private Integer connectionState;

    @ApiModelProperty(value = "图像监测装置 ID", example = "123456")
    private String cmId;

    @ApiModelProperty(value = "工作状态更新时间", example = "123456")
    private BigInteger wsUpdateTime;

    @ApiModelProperty(value = "是否最新", example = "123456")
    private Boolean isNew;


}
