package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "杆塔对象", description = "杆塔对象描述")
public class TowerVo {

    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "杆塔对象数组", required = true, example = "A0001")
    private List<TowerVo.TowerItem> list;

    @Data
    public static class TowerItem {
        @ApiModelProperty(value = "线路编号", example = "123456")
        @NotBlank(message = "线路编号不能缺少")
        private Integer lineId;


        @ApiModelProperty(value = "杆塔名称", example = "12345678")
        @NotBlank(message = "杆塔名称")
        private String name;
    }



}
