package com.shxy.xymanager_service.cache;

import com.shxy.xymanager_common.dto.LineAndDyNameDto;
import com.shxy.xymanager_common.dto.TowerDto;
import com.shxy.xymanager_common.entity.TerminalChannelMapper;
import com.shxy.xymanager_common.entity.TerminalChannels;
import com.shxy.xymanager_common.entity.TerminalImgAlarmParams;
import com.shxy.xymanager_common.entity.Terminals;
import com.shxy.xymanager_common.enums.CommonStatus;
import com.shxy.xymanager_dao.dao.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class XyCache {
    public static Map<Integer, LineAndDyNameDto> lineMap = new HashMap<Integer, LineAndDyNameDto>();
    public static Map<Integer, Terminals> terminalMap = new HashMap<Integer, Terminals>();
    public static Map<Integer, TowerDto> towerMap = new HashMap<Integer, TowerDto>();
    public static Map<Integer, TerminalChannels> termchannelMap = new HashMap<Integer, TerminalChannels>();
    /*装置编号+‘#’+通道编号  装置映射表*/
    public static Map<String, TerminalChannelMapper> termchannelMapMap = new HashMap<String, TerminalChannelMapper>();
    //告警类型
    public static Map<Integer, TerminalImgAlarmParams> alarmParamMap = new HashMap<Integer, TerminalImgAlarmParams>();

    @Autowired
    private LinesDao linesDao;
    @Autowired
    private TerminalsDao terminalsDao;
    @Autowired
    private TowerDao towerDao;
    @Autowired
    private TerminalChannelsDao terminalChannelsDao;
    @Autowired
    private TerminalChannelMapperDao terminalChannelMapperDao;
    @Autowired
    private TerminalImgAlarmParamsDao terminalImgAlarmParamsDao;

    @PostConstruct
    public void init() {
        //系统启动中。。。加载codeMap
        List<LineAndDyNameDto> lineAndDyNameDtos = linesDao.selectAll(CommonStatus.EFFECTIVE.value());
        for (LineAndDyNameDto lineitem : lineAndDyNameDtos) {
            lineMap.put(lineitem.getId(), lineitem);
        }

        List<Terminals> termslist = terminalsDao.selectAll(CommonStatus.EFFECTIVE.value());
        for (Terminals item : termslist) {
            terminalMap.put(item.getId(), item);
        }

        List<TowerDto> towerlist = towerDao.selectAll(CommonStatus.EFFECTIVE.value());
        for (TowerDto item : towerlist) {
            towerMap.put(item.getId(), item);
        }

        List<TerminalChannels> channelslist = terminalChannelsDao.selectChannelList(CommonStatus.EFFECTIVE.value());
        for (TerminalChannels item : channelslist) {
            termchannelMap.put(item.getId(), item);
        }

        List<TerminalChannelMapper> terminalChannelMapperlist = terminalChannelMapperDao.selectAll();
        for (TerminalChannelMapper item : terminalChannelMapperlist) {
            String s = item.getTermId() + "#" + item.getChannelId();
            termchannelMapMap.put(s, item);
        }

        List<TerminalImgAlarmParams> terminalImgAlarmParams = terminalImgAlarmParamsDao.selectAll();
        for (TerminalImgAlarmParams item : terminalImgAlarmParams) {
            alarmParamMap.put(item.getLabel(), item);
        }

    }

    @PreDestroy
    public void destroy() {
        //系统运行结束
    }

//    @Scheduled(cron = "0 0 0/2 * * ?")
//    public void testOne() {
//        //每2小时执行一次缓存
//        init();
//    }

}